<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:portcom="http://www.indexdata.dk/TKL"
    xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"
    version="1.0">

    <xsl:import href="tkl-file://interface.xsl"/>
    <xsl:include href="tkl-file://news.xsl"/>

    <xsl:output method="html" encoding="UTF-8"/>

    <xsl:param name="squery"/>

<xsl:template match="amazon">
    <xsl:call-template name="main-page"/>
</xsl:template>


<xsl:template name="main-news-content">
    <xsl:call-template name="read-news"/>
</xsl:template>

<xsl:template name="main-body">
    <xsl:call-template name="insert-path"/>
    <p/>
    <em>
    <span xml:lang="en">Note: This is an experimental service only, not part of
       the official demo portal</span>
    <span xml:lang="da">Bemrk: Dette er en eksperimentel service -- det er ikke
       en officiel del af testportalen</span>
    </em>
    <p/>

    <form method="get" action="">
      Indtast sgning:
      <input type="text" name="squery" value="{$squery}" size="30"
         style="border: 1px solid #6C5426; font-size:12px;"/>
      <input type="submit"/>
    </form>

    <xsl:if test="$squery">

    <xsl:variable name="result" select="document(concat(
      'tkl-soap:AmazonWebServices.wsdl?',
      'tkl:fun=KeywordSearchRequest',
      '&amp;.keyword=', $squery,
      '&amp;.page=2',
      '&amp;.mode=books',
      '&amp;.tag=webservices-20',
      '&amp;.type=lite',
      '&amp;.devtag=', token,
      '&amp;.format=xml',
      '&amp;.version=1.0'
    ))/*/SOAP-ENV:Body"/>

    <xsl:for-each select="$result/*/*/*/Details[position() &lt; 7]">
      <p/><img height="8" width="10" src="{$root}/gfx/arrow_brown_right.gif"/>
      <a href="{Url}"><b><xsl:value-of select="ProductName"/></b></a>

      <br/>&#xa0;&#xa0;
      <xsl:for-each select="Authors/Author">
	<em><xsl:value-of select="."/></em>
	<xsl:if test="following-sibling::Author">, </xsl:if>
      </xsl:for-each>

      <br/>&#xa0;&#xa0;<img src="{ImageUrlSmall}"/>
      <xsl:value-of select="Manufacturer"/>, <xsl:value-of select="ReleaseDate"/>
      <br/>
      <b>Amazon's pris: <xsl:value-of select="OurPrice"/></b>

    </xsl:for-each>
      
      
    <!--RESULT: <xsl:copy-of select="$result"/>-->

    </xsl:if>

</xsl:template>

</xsl:stylesheet>
