<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:portcom="http://www.indexdata.dk/TKL"
  version="1.0">

  <xsl:import href="tkl-file://interface.xsl"/>
  <xsl:include href="tkl-file://news.xsl"/>
  <xsl:include href="tkl-file:targets.xsl"/>

  <xsl:output method="html" encoding="UTF-8"/>

  <xsl:param name="query"/>
  <xsl:param name="root"/>

  <xsl:param name="tkl_authenticated"/>
  <xsl:variable name="targets_xml" select="document('tkl-targets://?type=all')"/>

  <xsl:template match="multitarget">
    <xsl:call-template name="main-page"/>
  </xsl:template>
  
  <xsl:template name="main-news-content">
    <xsl:call-template name="read-news"/>
  </xsl:template>

  <xsl:template name="main-body">
    <table width="100%">
      <xsl:call-template name="search-form"/>
    </table>
  </xsl:template>

  <xsl:template name="search-form">
    <form method="GET" action="{$root}/targets/search.html" target="_top">
      <input type="text" name="query" value="{$query}" style="border: 1px solid #3a6072; width: 156px; vertical-align: middle;" />
      <input type="image" style="vertical-align: middle;" src="{$root}/gfx/button_search.gif" />
      <xsl:call-template name="targets-menu"/>
    </form>
  </xsl:template>

</xsl:stylesheet>
