<?php

// Copyright (c) 2002-2003, Index Data.
// $Id: targets.php,v 1.2 2003/08/04 07:46:07 sondberg Exp $

// Make some raw xml from a nested array
function make_xml($ar, $level) {
    $xml_indent = "  ";
    foreach ($ar as $key => $value) {
	$elem = $key;
	if (is_numeric($elem)) {
	    $elem = "item";
	}
	if (is_array($value)) {
	    $ret .= str_repeat($xml_indent, $level) . "<$elem>\n";
	    $ret .= make_xml($value, $level + 1);
	    $ret .= str_repeat($xml_indent, $level) . "</$elem>\n";
	} else {
	    $ret .= str_repeat($xml_indent, $level) . "<$elem>$value</$elem>\n";
	}
    }
    return $ret;
}


// Run through target description files and update list $targets by ref.
function make_targets (&$targets) {
    global $root;
    $target_dir = $_SERVER['DOCUMENT_ROOT'] . "/$root/targets";

    if (!($dh = opendir($target_dir))) {
	die("<b>Fatal:</b> Unable to open '$target_dir'");
    }
    while (strlen($entry = readdir($dh))) {
	if (!preg_match("/^target-.*\.tkl$/", $entry)) {
	    continue;
	}
	parse_target_file("$target_dir/$entry", $target = array());
	$targets[$target['nick']] = $target;
    }
}


// Open one target file and update target_info by ref.
function parse_target_file ($tkl_file, &$target_info) {
    global $lang;

    if (!($dom = domxml_open_file($tkl_file))) {
	echo "<b>Warning:</b> Unable to parse target file '$tkl_file'<br/>";
	return;
    }
    $doc_elem = $dom->document_element();
    parse_target($doc_elem, $target_info);
}


// Browse through dom tree and put values into the $hash
function parse_target ($node, &$hash) {
    $cdata = "";
    if (is_array($children = $node->child_nodes())) {
	foreach ($children as $subnode) {
	    $type = $subnode->node_type();
	    if ($type == XML_TEXT_NODE) {
		$cdata .= $subnode->content;
	    } elseif ($type == XML_ELEMENT_NODE) {
		$name = $subnode->tagname;
		$ret = parse_target($subnode, $subtree = array());
		if (strlen($ret)) {
		    $hash[$name] = $ret;
		} else {
		    $hash[$name][] = $subtree;
		}
	    }
	}
    }
    return trim($cdata);
}


?>
