// PHP handler associated with the task.xsd schema
// Updates the TKL spool directory when a new
// instance of the task document type is created
//
// By: Anders Snderberg Mortensen <sondberg@indexdata.dk>
//     Indexdata, Copenhagen, Denmark.
//
// $Id: update_spool.php,v 1.4 2003/08/12 09:09:21 sondberg Exp $

$portal_root = preg_replace("/\/+/", "/", $_SERVER['DOCUMENT_ROOT'] . "/" . $args['portal_root']);
$spool_dir = "/var/spool/tkl";	// This spool dir should *not* be hardcoded (fixme)
$spool_file_suffix = ".spl";

if ($args['action'] == 'commit') {	// If document is saved, we create a spool entry...
    if (!is_dir($spool_dir)) {
	die("<b>Fatal:</b> Non-existing TKL spool directory '$spool_dir'");
    }
    $tkl_doc = $args['tkl_doc'];
    $spool_file = preg_replace("/\.tkl$/", "", $tkl_doc) . $spool_file_suffix;
    $abs_spool_file = "$spool_dir/$spool_file";
    if (file_exists($abs_spool_file)) {
	die("<b>Fatal:</b> Spool file '$abs_spool_file' already exists");
    }
    if (!($fh = fopen($abs_spool_file, "w"))) {
	die("<b>Fatal:</b> Unable to open spool file '$abs_spool_file' for writing");
    }
    fputs($fh, "$portal_root\n");
    fputs($fh, preg_replace("/\/+/", "/", $args['portal_abs_dir'] . "/$tkl_doc") . "\n");
    fclose($fh);
} elseif ($args['action'] == 'cleanup') {
} else {
    echo "<b>Fatal:</b> Unable to handle action type '", $args['action'] , "'";
    die();
}
